Subject: RE: [Mip6] review of draft-ietf-mip6-bootstrapping-split-00.txt

From: Gerardo Giaretta <[email-masked]>
Date: Wed, 05 Oct 2005 14:28:58 +0200

> > to an extent this is a true. but to the CN it appears as if Alice
> > who always used to use ha1.bobsmova.com is now suddenly using
> > a HA in Tuscon. most likely reason is that Alice is roaming in
> > Tucson.
> >
> 
> For an eavesdropper to know that she switched MSPs, they 
> would have to 
> monitor multiple conversations with Alice. And the assumption 
> that she is 
> roaming in Tucson is just that, an assumption. She could have 
> moved to 
> Tucson and she is now on a business trip in Chicago, or maybe 
> the Tucson MSP 
> is having a special on service this month ($14.95 for the first three 
> months, whereas Bob charges $29.95) and Alice has decided to 
> switch service 
> providers even though she still lives in Palo Alto.
> 
> In other words, without some kind of outside information 
> about Alice, the 
> eavesdropper can't know for sure anything about where she is.
>

This is true, as I mentioned before. In split scenario, CNs can only
make assumptions or guess, but can never be sure that a particular HA is
a local one.
 
> >> 2) We've had some discussion and we have an outstanding 
> issue about the 
> >> text in draft-bootstrapping-split concerning local HA 
> naming conventions. 
> >> If we remove that text (as has been suggested), then there 
> really is no 
> >> support in the split scenario for local HA allocation.
> >
> > there is some confusion here. the suggestion to remove it was
> > because the reviewer felt there were not enough details. the
> > reviewer in fact likes the feature. :) see Jari Arkko's emails.
> > we (in the bootstrap design team) had deliberately removed the
> > details because it is very similar to HA lookup by name. there
> > is nothing new to explain.
> >
> 
> As I (perhaps incorrectly) recall, the issue was defining an 
> interoperable 
> cannonical naming standard for naming local HAs. We could 
> certainly do that, 
> but I am not sure whether draft-bootstrapping-split is the 
> right place to do 
> it in. Actually, I like the feature too, its just I think it 
> will be really 
> hard to define such a naming convention, and also, as I 
> mentioned before, 
> there are many other dimensions of HA service that one might 
> want to name 
> one's HAs after, so one needs to ask the question about why 
> this particular 
> one should be singled out.
> 
> Anyway, I think it might be better to tackle the topic of 
> location privacy 
> in draft-bootstrapping-integrated, since there is very 
> clearly an issue of 
> local HA assignment, even if you don't buy my argument about a local 
> HA-assigned HoA address really not providing much information 
> about the MN's 
> real geographic location.
> 

James, as you know integrated draft will describe HA discovery based on
DHCP. I don't think the location privacy issue is specific to DHCP based
solution, thought I agree it is more applicable to integrated scenario. 

Kuntal suggested to change slightly the scope and the title of the split
scenario document, since the solution defined in that draft is
applicable also to integrated scenario. If we decide to do that, I think
the right place to add some text (similar to what you sent few days ago
or Kilian sent today to the list) is the new split scenario document.
This is also beacuse the DNS update procedure by the HA is defined in
that draft.

What do yuo and others think?

--Gerardo

>             jak 
> 
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "James Kempf" <[email-masked]>
Date: Wed, 5 Oct 2005 09:41:50 -0700

Gerardo,

I think the text should be added to the document where it is of concern. If 
the split scenerio document does not have any way to identify whether or not 
the HA is local, then it is not of concern. On the other hand, if it does, 
then it is of concern. I think we do agree that the DHCP draft will have a 
way to identify if the HA is local, so it is of concern there.

            jak

----- Original Message ----- 
From: "Gerardo Giaretta" <[email-masked]>
To: "James Kempf" <[email-masked]>; "Vijay Devarapalli" 
<[email-masked]>
Cc: <[email-masked]>; "Kilian Weniger" <[email-masked]>
Sent: Wednesday, October 05, 2005 5:28 AM
Subject: RE: [Mip6] review of draft-ietf-mip6-bootstrapping-split-00.txt

--Gerardo